Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GStringImpl

Default implementation of a GString used by the compiler. A GString consist of a list of values and strings which can be combined to create a new String.

see:
  GString

author:
  Jochen Theodorou

Field Summary
`def` | `strings`

Constructor Summary
`GStringImpl(def values, def strings)` Create a new GString with values and strings.

Method Summary
`def` | `getStrings()` Get the strings of this GString.

Constructor Detail

### GStringImpl

    public GStringImpl(def values, def strings)

  Create a new GString with values and strings.

  Each value is prefixed by a string, after the last value an additional String might be used. This means `strings.length==values.length || strings.length==values.length+1`.

  NOTE: The lengths are not checked. Using different lengths might result in unpredictable behaviour.

  param:
    values the value parts
  param:
    strings the string parts

Method Detail

### getStrings

    public def getStrings()

  Get the strings of this GString.

  This methods returns the same array as used in the constructor. Changing the values will result in changes of the GString. It is not recommended to do so.